#! /bin/csh -fe
#
#   Wedger Elves example STRATEGY session
#
/home/jamesh/Develop/ipmosflm HKLOUT strategy.mtz	    \
         SPOTOD  strategy.spotod   \
         SUMMARY logs/strategy.xlog    \
         COORDS  strategy.coords << eof-ipmosflm
#
GENFILE strategy.gen
#
# the following keywords were not understood by the Wedger elves, but passed on
# because they resemble mosflm commands.
# ----

# ----

# Detector parameters (range, quantum gain, etc.)
SCANNER omega 90 ROTATION horiz ANTI FAST horiz ORIGIN UR RECTANG TYPE ADSC
OVERLOAD CUTOFF 60000
GAIN            0.3
LIMITS RMAX 148 YMAX 209.715 XMAX 209.715 xscan 209.715 yscan 209.715

# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.979725
DISPERSION    0.0025
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      250
BEAM          108.66 102.246
TWOTHETA      0
MATRIX        auto.mat
#

# Crystal parameters
CELL          78.3004 78.3004 243.2 90 90 120
SYMMETRY      P6122
RESOLUTION    2
MOSAIC        0.38

# Frame filename breakdown
DIRECTORY     /data2/jamesh/workshop/final
IDENTIFIER    goodsignal_1
EXTENSION     img

#
#
# un-comment the following lines to run strategy interactively
#IMAGE goodsignal_1_001.img
#GO
#
SEPARATION 0.81 0.81
testgen start 182 end 222 minosc 0.01 overlap 3
go
eof-ipmosflm
