#! /bin/csh -f
#
#  Wedger Elves automatically generated mosflm script
#
# 
# option to integrate after refining
set integ = ""
if("$1" =~ integ*) set integ = ""
#
# temporary file prefix
set tempfile = ${CCP4_SCR}/mosflm_temp$$
set outfile  = raw.mtz
#
#
/home/jamesh/Develop/ipmosflm HKLOUT ${tempfile}.mtz	\
         SPOTOD  ${tempfile}.spotod	\
         SUMMARY logs/mosflm.xlog	\
         COORDS  ${tempfile}.coords << eof-ipmosflm
#
TITLE Raw data wedge from goodsignal_1_###.img 1 to 100 at lambda= 0.979725
#
GENFILE ${tempfile}.gen
#
# the following keywords were not understood by Wedger Elves, but passed on
# because they resemble mosflm commands.
# ----
SEPARATION 0.5 0.5 CLOSE
BACKSTOP RADIUS 2

# ----

# Detector parameters (range, quantum gain, etc.)
SCANNER omega 90 ROTATION horiz ANTI FAST horiz ORIGIN UR RECTANG TYPE ADSC
OVERLOAD CUTOFF 60000
GAIN            0.219
LIMITS RMAX 148 YMAX 209.715 XMAX 209.715 xscan 209.715 yscan 209.715

# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.979725
DISPERSION    0.0025
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      250.036
BEAM          108.71 102.298
TWOTHETA      0
MATRIX        best.mat
#MISSETS       -0.000162 0.000273 -0.011111 RESET
NEWMATRIX     postref.mat

# Crystal parameters
CELL          78.296 78.296 243.221 90 90 120
SYMMETRY      P6122
RESOLUTION    2
MOSAIC        0.770192

# Frame filename breakdown
DIRECTORY     /data2/jamesh/workshop/final
IDENTIFIER    goodsignal_1
EXTENSION     img

#
# To run mosflm interactively,
# uncomment the following lines (and DON'T redirect output)
#IMAGE goodsignal_1_001.img PHI -5 TO -4
#GO
#END
#PLOT
#
REFI RESID 100
POSTREF FIX ALL
REFINE  FIX YSCALE
# Processing commands: 
PROCESS 1 to 100 START -5 ANGLE 1 ADD 0
GO
END

eof-ipmosflm
set mosflm_status = $status

# update mtz only after run is finished
if((! $mosflm_status)&&(-e ${tempfile}.mtz)&&("$integ" == "")) then 
    mv ${tempfile}.mtz ${outfile}
endif

# Life's messy, clean it up.
rm -f ${tempfile}.spotod >& /dev/null
rm -f ${tempfile}.coord  >& /dev/null
rm -f ${tempfile}.gen    >& /dev/null
rm -f ${tempfile}.mtz    >& /dev/null
ls fort* >& /dev/null
if(! $status) rm -f fort*


exit $mosflm_status
