#! /bin/csh -f
######################################################################
# processing


set hurry = "hurry"

cat << EOF >! cards.txt
backstop radius 2
SEPARATION 0.5 0.5 CLOSE
EOF


set prefix = goodsignal

echo "$prefix "
rm -f merged.mtz scaler/mtz/all.mtz scaler/SOLVE/solve.status scaler/SHELX/shelxd.log phaser/maps/best_phased.map
if(! -e merged.mtz) then
  set frames = 100
  set set = /data2/jamesh/workshop/final/${prefix}_1_001.img
  Wedger -new P6122 ./cards.txt $hurry $set $frames frames 2A >&! Wedger.log
endif
mkdir -p scaler
cd scaler
if(! -e mtz/all.mtz) then
  Scaler $hurry ../raw.mtz 8 sites >&! Scaler.log
endif
if(! -e SOLVE/solve.status) then
    cd SOLVE
    ./solve.com &
    cd ..
endif
if(! -e SHELX/shelxd.log) then
    cd SHELX
    awk '/TREF/{print "SHEL 99 4";print "PATS";print "FIND 8"; print "MIND -1";next} {print}' ano.ins >! temp
    mv temp ano.ins
    shelxd ano >! shelxd.log &
    cd ..
endif
cd ..
mkdir -p phaser
cd phaser
if(! -e maps/best_phased.map) then
  Phaser ../merged.mtz P6122 no flip no add no reject 55% ../../../sites.pdb $hurry > & ! Phaser.log
endif


./check_results.com | tee RESULTS.txt


