#! /bin/csh -f
#
#  Automatically generated scaleit script 
#  for combining FP into a single MTZ
#
set nawk = /bin/awk
$nawk 'BEGIN{print}' >& /dev/null
if($status) set nawk = awk
alias nawk $nawk
#
set outfile     = cadded.mtz
set scaledfile  = scaleited.mtz
#
set tempfile = /tmp/jamesh/scaler_temp1216.scaleit
#
#################################################
# use CAD to put all wavelengths side-by-side
cad \
   HKLIN1 ./mtz/FP.mtz \
HKLOUT ${tempfile}cad.mtz << EOF-cad

# rename data after their original wavelength
LABIN  FILE 1 E1=F       E2=SIGF       E3=DANO        E4=SIGDANO        E5=ISYM
CTYP   FILE 1 E1=F       E2=Q          E3=D           E4=Q              E5=Y
LABOUT FILE 1 E1=FP      E2=SIGFP      E3=DANOFP      E4=SIGDANOFP      E5=ISYMFP

END

EOF-cad
if($status) exit 1



#################################################
# shouldn't need any more scaling, 
mv ${tempfile}cad.mtz ${outfile}

# but, Phil's example said to do scaleit.
if("$1" == "FP") goto FP
if("$1" == "all") set DOALL

# default to scaling reference
if(! $?DOALL) goto FP


FP:
#################################################
# FP as reference
scaleit HKLIN ${outfile}  HKLOUT $scaledfile << EOF-scaleit

TITLE Scale FP to rest.
RESO 2.11 121.268		# Usually better to exclude lowest resolution data
WEIGHT			#   Sigmas should be reliable.
refine anisotropic	# use an anisotropic B-factor
#norefine		# don't change relative scale

LABIN FP=FP    SIGFP=SIGFP -
    FPH1=FP SIGFPH1=SIGFP DPH1=DANOFP SIGDPH1=SIGDANOFP 
CONV ABS 0.0001 TOLR 0.000000001 NCYC 4
END
EOF-scaleit
if($status) set BAD

if(! $?DOALL) goto cleanup

cleanup:
# clean up?


if(! $?BAD) then
    echo "FP are now all in $outfile"
else
    echo "scaleit failed."
    exit 9
endif

